MI_VECTOR_HASH(3)

NAME
mi_vector_hash - fast 32bit hash functions

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
void
mi_vector_hash(const void * restrict key, size_t len, uint32_t seed, uint32_t hashes[3]);

DESCRIPTION
The mi_vector_hash function computes three 32-bit hash values of the memory area starting at key with length len.

The output is identical on all architectures and only depends on key and seed.

IMPLEMENTATION NOTES
An optimised code path is used if key is aligned on a 32-bit boundary.

HISTORY
The mi_vector_hash function appeared in NetBSD 6.0.

AUTHORS
The hash function has been created by Bob Jenkins.